Bug 43155 - LANG=de man man gives incomplete output
LANG=de man man gives incomplete output
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-01 10:45 EDT by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 06:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-06-01 10:45:57 EDT
We've found a relatively odd problem; since there's a difference between 
the de and de_DE locale, we think it's a glibc issue.

On a rawhide system, install man-pages-de and run

LANG=de man man

in an rxvt or similar terminal -> incomplete output

LANG=de_DE man man


LANG=de man man

in text mode works
Comment 1 Ulrich Drepper 2004-09-30 06:44:49 EDT
I'm closing this.  It has defnitely been a problem with the encoding
of the man pages in the first place.  The man pages are nowadays
supposed to be encoded in a certain way and the man program can handle
this.  No need to look at what that old, outdated code did.

Note You need to log in before you can comment on or make changes to this bug.